#include "X.h"

/*

g++ -I ${HPSS_ROOT}/include/ -DLINUX -fPIC -m64 -O3  -c  -o X.o X.C

g++ -L ${HPSS_ROOT}/lib/ -DLINUX -fPIC -m64 -O3 -shared -lhpss -lhpssunixauth -lhpss_net -o libX.so  X.o

*/

// "unix", "/var/hpss/etc/keytab.root" , "root"
int initContext(const char * authType, const char * keytab, const char * user) {
  int rc = -1;
  hpss_authn_mech_t authMech = hpss_authn_mech_unix;

  rc = hpss_SetLoginCred((char *) user, authMech, hpss_rpc_cred_client,
          hpss_rpc_auth_type_keytab, (void *) keytab);
 
  if (rc == HPSS_E_NOERROR) {
   cout << "PASS" << endl;
  } else {
   cerr << "FAIL" << endl;
  }

  return rc;
}

/*******************************************************************/
void endContext() {
 hpss_PurgeLoginCred();
}
